Please upgrade here. These earlier versions are no longer being updated and have security issues.

What happened to Profile Extender plugin?

What happened to Profile Extender plugin? I am not able to find it in addons. And previous version of the plugin is not working with Vanilla 2.2

Tagged:

Comments

  • vrijvlindervrijvlinder Papillon-Sauvage MVP

    All plugins that were created by vanilla staff are now packaged in with the download. Look in the plugins folder or download a new copy.

  • I copied profile extender from another installation. Still the extra added text field is neither being asked during registration nor being shown or allowed to edit after registration to members.
    I think there is something wrong in the Roles and Permissions setting because added text field is shown to Super Moderator.
    Can anyone tell me what roles and permission should be set for a Member?
    Any image?

  • I have enabled the Profile Extender plugin but it is not showing in Roles and Permissions
    Have a look at the images

  • vrijvlindervrijvlinder Papillon-Sauvage MVP

    It should show. Try disabling all plugins and test enabling one by one to find if plugins enabled are the problem. It could be that you added some other role ? and it may be making this happen...

  • @vrijvlinder said:
    It should show. Try disabling all plugins and test enabling one by one to find if plugins enabled are the problem. It could be that you added some other role ? and it may be making this happen...

    I disabled all the plugin but I was not able to disable Time Ago plugin.
    Then I enabled only Profile Extender plugin but the option was not shown in Roles and Permission.
    The posted image belongs to Member which was default from vanilla!

  • vrijvlindervrijvlinder Papillon-Sauvage MVP

    I disabled all the plugin but I was not able to disable Time Ago plugin.

    That may be the cause of the problem. You need to disable it from the config.php by changing TRUE to FALSE where it says Enabled Plugins for that plugin. a bad plugin can cause bad things to happen, also a bad theme...

  • noncenonce Necro-on Forensics

    I have scannned the discussions, tutorials, and looked the the plugin code and it appears
    //'RegisterPermissions' => array('Plugins.ProfileExtender.Add'),
    profile extender add is no longer a valid permission, it is commented out in the profile extender that comes with 2.2 vanilla, this is the reason you don't see and you certainly don't need it the permission.
    you do need garden settings manage for the people managing the plugin itself. when you click on settings screen for the profile extender plugin - this is where you see things.

    you did need profile edit option for members and if you are using the Connect form of registration, you need to set
    $Configuration['Garden']['Profile']['Titles'] = true; and hide with css if you don't want titles
    $Configuration['Garden']['UserAccount']['AllowEdit'] = true;

    you seem to be floundering and doing things incorrectly, disable the profile extender, and delete the folder, you could then reinstall all core files and plugins and then your floundering will be over.

  • noncenonce Necro-on Forensics
    edited February 2016

    maybe the problem will be over. your screen shot does not show the necessary permissions, and your screen shots do not show the good screen for "Super Moderator" whoever that is. regarding to profile. You have no screen shot of registration and you have no screen shot of settings for the profile extender. or screen shots of the profile where it works and doesn't work. Are you following troubleshooting protocol testing with default theme.

  • The main problem with Vanilla Forum is if you upgrade you will definitely get some problem. I have experienced this in every time of my upgrade. I don't know why the developer do not make proper upgrade process!

    When I checked config-default.php as per the conversation here https://vanillaforums.org/discussion/31749/edit-profile-in-menu
    I got this $Configuration['Garden']['UserAccount']['AllowEdit'] = TRUE; // Allow users to edit their account information? (SSO requires accounts be edited in external system).

    My registration method was New users are only registered through SSO plugins.
    When I changed back to New users fill out a simple form and are granted access immediately then Members also started getting edit profile options.

    Since I don't want the user to create an account directly hence I didn't posted my CAPTCHA key there and hence people are not able to see CAPTCHA and hence, they can not create an account directly.

  • vrijvlindervrijvlinder Papillon-Sauvage MVP

    @Irfanalam123 said:
    The main problem with Vanilla Forum is if you upgrade you will definitely get some problem. I have experienced this in every time of my upgrade. I don't know why the developer do not make proper upgrade process!

    If you did not edit the core and followed directions ,the upgrade process is just fine.

    When I checked config-default.php as per the conversation here

    The config-defaults.php must not be edited. The config.php is the one to edit and add configurations. If there is a configuration missing in the config.php but appears in the config-defaults.php then copy it over to the config.php

  • LincLinc Director of Development Detroit Vanilla Staff

    @vrijvlinder said:
    All plugins that were created by vanilla staff are now packaged in with the download. Look in the plugins folder or download a new copy.

    That's not true. Just this specific plugin was moved to core.

  • vrijvlindervrijvlinder Papillon-Sauvage MVP

    Really ?

    I see some others too, maybe what you mean is it was the only one removed from the addons section and the others have not been removed but also come with the core ?

  • LincLinc Director of Development Detroit Vanilla Staff

    @vrijvlinder said:
    Really ?

    I see some others too, maybe what you mean is it was the only one removed from the addons section and the others have not been removed but also come with the core ?

    No, there's at least 30 plugins by Vanilla Staff that aren't distributed with core.

  • vrijvlindervrijvlinder Papillon-Sauvage MVP
    edited February 2016

    So is it safe to assume that if it is not in the addon section that it is in the core package ?

  • LincLinc Director of Development Detroit Vanilla Staff
    edited February 2016

    @vrijvlinder said:
    So is it safe to assume that if it is not in the addon section that it is in the core package ?

    ¯\_(ツ)_/¯

    I'd just look in core to know what's in core. :awesome:

    vrijvlinder
  • vrijvlindervrijvlinder Papillon-Sauvage MVP

    Yes of course, which is what I advised the OP to do. Because it was no longer in the repo and I saw it in the core.

  • edited February 2016

    Wherever the package is either in extension or in core it doesn't matter. The issue is it is not working properly!
    Required for all users option is not working if the site is using jsConnect!!

  • LincLinc Director of Development Detroit Vanilla Staff
    edited February 2016

    @Irfanalam123 said:
    Wherever the package is either in extension or in core it doesn't matter. The issue is it is not working properly!
    Required for all users option is not working if the site is using jsConnect!!

    Well, I disagree that it isn't working properly. jsConnect is a registration replacement. Why would Vanilla's registration requirements then kick in upon connection? Call it faulty by design if you like, but that behavior isn't going to change.

  • @Linc said:

    @Irfanalam123 said:
    Wherever the package is either in extension or in core it doesn't matter. The issue is it is not working properly!
    Required for all users option is not working if the site is using jsConnect!!

    Well, I disagree that it isn't working properly. jsConnect is a registration replacement. Why would Vanilla's registration requirements then kick in upon connection? Call it faulty by design if you like, but that behavior isn't going to change.

    Then you should remove that option "Required for all users" from that plugin setting. What is the use when it is not asking the user to enter the defined field if they are logging in through jsConnect for the first time?
    And this was working properly with the previous version 2.1, the not asking issue arises when I updated to 2.2

Sign In or Register to comment.